umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Static Protected Member Functions | List of all members
Import_Argo Class Reference

`#include <import_argo.h>`

## Static Public Member Functions
static bool | loadFromZArgoFile (QIODevice &file, UMLPackage *parentPkg=0)

## Static Protected Member Functions
static bool | loadFromArgoFile (const KZip &zipFile, const QString &fileName)
static bool | loadFromPGMLFile (const KZip &zipFile, const QString &fileName)
static bool | loadFromTodoFile (const KZip &zipFile, const QString &fileName)
static bool | loadFromXMIFile (const KZip &zipFile, const QString &fileName)

## Detailed Description

Argo model import

Author
  Ralf Habacker Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Member Function Documentation

## ◆ loadFromArgoFile()

bool Import_Argo::loadFromArgoFile | ( | const KZip & | zipFile,
|  | const QString & | fileName )
| static protected

## ◆ loadFromPGMLFile()

bool Import_Argo::loadFromPGMLFile | ( | const KZip & | zipFile,
|  | const QString & | fileName )
| static protected

## ◆ loadFromTodoFile()

bool Import_Argo::loadFromTodoFile | ( | const KZip & | zipFile,
|  | const QString & | fileName )
| static protected

## ◆ loadFromXMIFile()

bool Import_Argo::loadFromXMIFile | ( | const KZip & | zipFile,
|  | const QString & | fileName )
| static protected

## ◆ loadFromZArgoFile()

bool Import_Argo::loadFromZArgoFile | ( | QIODevice & | file,
|  | UMLPackage * | parentPkg = 0 )
| static

The documentation for this class was generated from the following files:

- umbrello/import_argo.h
- umbrello/import_argo.cpp